Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPoints Class Reference

`#include <vtkPoints.h>`

Inheritance diagram for vtkPoints:

[legend]
Collaboration diagram for vtkPoints:

[legend]
List of all members.

## Detailed Description

represent and manipulate 3D points

Date:
  2002/12/26 18:24:21

Revision:
  1.63

vtkPoints represents 3D points. The data model for vtkPoints is an array of vx-vy-vz triplets accessible by (point or cell) id.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (36%)
  - Geveci, Berk (27%)
  - Martin, Ken (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkPoints.cxx)`
  - .`h` (`/Common/vtkPoints.h)`

Examples:
  vtkPoints (Examples)

Tests:
  vtkPoints (Tests)

Definition at line 54 of file vtkPoints.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
virtual void | Initialize ()
vtkPoints * | MakeObject ()
virtual int | GetDataType ()
void * | GetVoidPointer (const int id)
virtual void | Squeeze ()
virtual void | Reset ()
unsigned long | GetActualMemorySize ()
vtkIdType | GetNumberOfPoints ()
float * | GetPoint (vtkIdType id)
void | SetNumberOfPoints (vtkIdType number)
void | GetPoints (vtkIdList *ptId, vtkPoints *fp)
virtual void | ComputeBounds ()
float * | GetBounds ()
void | GetBounds (float bounds[6])
virtual void | SetData (vtkDataArray *)
vtkDataArray * | GetData ()
virtual void | SetDataType (int dataType)
void | SetDataTypeToBit ()
void | SetDataTypeToChar ()
void | SetDataTypeToUnsignedChar ()
void | SetDataTypeToShort ()
void | SetDataTypeToUnsignedShort ()
void | SetDataTypeToInt ()
void | SetDataTypeToUnsignedInt ()
void | SetDataTypeToLong ()
void | SetDataTypeToUnsignedLong ()
void | SetDataTypeToFloat ()
void | SetDataTypeToDouble ()
virtual void | DeepCopy (vtkPoints *ad)
virtual void | ShallowCopy (vtkPoints *ad)
void | GetPoint (vtkIdType id, float x[3])
void | GetPoint (vtkIdType id, double x[3])
void | SetPoint (vtkIdType id, const float x[3])
void | SetPoint (vtkIdType id, const double x[3])
void | SetPoint (vtkIdType id, double x, double y, double z)
void | InsertPoint (vtkIdType id, const float x[3])
void | InsertPoint (vtkIdType id, const double x[3])
void | InsertPoint (vtkIdType id, double x, double y, double z)
vtkIdType | InsertNextPoint (const float x[3])
vtkIdType | InsertNextPoint (const double x[3])
vtkIdType | InsertNextPoint (double x, double y, double z)
## Static Public Methods
vtkPoints * | New (int dataType)
vtkPoints * | New ()
int | IsTypeOf (const char *type)
vtkPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPoints (int dataType=VTK_FLOAT)
| ~vtkPoints ()
## Protected Attributes
float | Bounds [6]
vtkTimeStamp | ComputeTime
vtkDataArray * | Data

## Member Typedef Documentation

typedef vtkObject vtkPoints::Superclass

| Reimplemented from vtkObject. Definition at line 62 of file vtkPoints.h.

## Constructor & Destructor Documentation

vtkPoints::vtkPoints | ( | int | dataType = VTK_FLOAT | ) | `[protected]`

vtkPoints::~vtkPoints | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPoints* vtkPoints::New | ( | int | dataType | ) | `[static]`

vtkPoints* vtkPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkPoints* vtkPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

virtual int vtkPoints::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate initial memory size.

virtual void vtkPoints::Initialize | ( |  | ) | `[virtual]`

| Return object to instantiated state.

vtkPoints* vtkPoints::MakeObject | ( |  | ) |

| For legacy compatibility. Do not use.

virtual void vtkPoints::SetData | ( | vtkDataArray * |  | ) | `[virtual]`

| Set/Get the underlying data array. This function must be implemented in a concrete subclass to check for consistency. (The tuple size must match the type of data. For example, 3-tuple data array can be assigned to a vector, normal, or points object, but not a tensor object, which has a tuple dimension of 9. Scalars, on the other hand, can have tuple dimension from 1-4, depending on the type of scalar.)

vtkDataArray* vtkPoints::GetData | ( |  | ) | `[inline]`

| Set/Get the underlying data array. This function must be implemented in a concrete subclass to check for consistency. (The tuple size must match the type of data. For example, 3-tuple data array can be assigned to a vector, normal, or points object, but not a tensor object, which has a tuple dimension of 9. Scalars, on the other hand, can have tuple dimension from 1-4, depending on the type of scalar.) Definition at line 84 of file vtkPoints.h.

virtual int vtkPoints::GetDataType | ( |  | ) | `[virtual]`

| Return the underlying data type. An integer indicating data type is returned as specified in vtkSetGet.h.

virtual void vtkPoints::SetDataType | ( | int | dataType | ) | `[virtual]`

| Specify the underlying data type of the object.

void vtkPoints::SetDataTypeToBit | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 94 of file vtkPoints.h. References VTK_BIT.

void vtkPoints::SetDataTypeToChar | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 95 of file vtkPoints.h. References VTK_CHAR.

void vtkPoints::SetDataTypeToUnsignedChar | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 96 of file vtkPoints.h. References VTK_UNSIGNED_CHAR.

void vtkPoints::SetDataTypeToShort | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 97 of file vtkPoints.h. References VTK_SHORT.

void vtkPoints::SetDataTypeToUnsignedShort | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 98 of file vtkPoints.h. References VTK_UNSIGNED_SHORT.

void vtkPoints::SetDataTypeToInt | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 99 of file vtkPoints.h. References VTK_INT.

void vtkPoints::SetDataTypeToUnsignedInt | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 100 of file vtkPoints.h. References VTK_UNSIGNED_INT.

void vtkPoints::SetDataTypeToLong | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 101 of file vtkPoints.h. References VTK_LONG.

void vtkPoints::SetDataTypeToUnsignedLong | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 102 of file vtkPoints.h. References VTK_UNSIGNED_LONG.

void vtkPoints::SetDataTypeToFloat | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 103 of file vtkPoints.h. References VTK_FLOAT.

void vtkPoints::SetDataTypeToDouble | ( |  | ) | `[inline]`

| Specify the underlying data type of the object. Definition at line 104 of file vtkPoints.h. References VTK_DOUBLE.

void* vtkPoints::GetVoidPointer | ( | const int | id | ) | `[inline]`

| Return a void pointer. For image pipeline interface and other special pointer manipulation. Definition at line 109 of file vtkPoints.h. References id.

virtual void vtkPoints::Squeeze | ( |  | ) | `[inline, virtual]`

| Reclaim any extra memory. Definition at line 112 of file vtkPoints.h.

virtual void vtkPoints::Reset | ( |  | ) | `[inline, virtual]`

| Make object look empty but do not delete memory. Definition at line 115 of file vtkPoints.h.

virtual void vtkPoints::DeepCopy | ( | vtkPoints * | ad | ) | `[virtual]`

| Different ways to copy data. Shallow copy does reference count (i.e., assigns pointers and updates reference count); deep copy runs through entire data array assigning values.

virtual void vtkPoints::ShallowCopy | ( | vtkPoints * | ad | ) | `[virtual]`

| Different ways to copy data. Shallow copy does reference count (i.e., assigns pointers and updates reference count); deep copy runs through entire data array assigning values.

unsigned long vtkPoints::GetActualMemorySize | ( |  | ) |

| Return the memory in kilobytes consumed by this attribute data. Used to support streaming and reading/writing data. The value returned is guaranteed to be greater than or equal to the memory required to actually represent the data represented by this object. The information returned is valid only after the pipeline has been updated.

vtkIdType vtkPoints::GetNumberOfPoints | ( |  | ) | `[inline]`

| Return number of points in array. Definition at line 134 of file vtkPoints.h. References vtkIdType. Referenced by vtkPointSet::GetNumberOfPoints().

float* vtkPoints::GetPoint | ( | vtkIdType | id | ) | `[inline]`

| Return a pointer to a float point x[3] for a specific id. Definition at line 137 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::GetPoint | ( | vtkIdType | id,
|  | float | x[3]
| ) | `[inline]`

| Copy point components into user provided array v[3] for specified id. Definition at line 141 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::GetPoint | ( | vtkIdType | id,
|  | double | x[3]
| ) | `[inline]`

| Copy point components into user provided array v[3] for specified id. Definition at line 142 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::SetPoint | ( | vtkIdType | id,
|  | const float | x[3]
| ) | `[inline]`

| Insert point into object. No range checking performed (fast!). Make sure you use SetNumberOfPoints() to allocate memory prior to using SetPoint(). Definition at line 149 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::SetPoint | ( | vtkIdType | id,
|  | const double | x[3]
| ) | `[inline]`

| Insert point into object. No range checking performed (fast!). Make sure you use SetNumberOfPoints() to allocate memory prior to using SetPoint(). Definition at line 150 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::SetPoint | ( | vtkIdType | id,
|  | double | x,
|  | double | y,
|  | double | z
| ) | `[inline]`

| Insert point into object. No range checking performed (fast!). Make sure you use SetNumberOfPoints() to allocate memory prior to using SetPoint(). Definition at line 209 of file vtkPoints.h. References Data, id, vtkDataArray::SetTuple(), and vtkIdType.

void vtkPoints::InsertPoint | ( | vtkIdType | id,
|  | const float | x[3]
| ) | `[inline]`

| Insert point into object. Range checking performed and memory allocated as necessary. Definition at line 157 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::InsertPoint | ( | vtkIdType | id,
|  | const double | x[3]
| ) | `[inline]`

| Insert point into object. Range checking performed and memory allocated as necessary. Definition at line 159 of file vtkPoints.h. References id, and vtkIdType.

void vtkPoints::InsertPoint | ( | vtkIdType | id,
|  | double | x,
|  | double | y,
|  | double | z
| ) | `[inline]`

| Insert point into object. Range checking performed and memory allocated as necessary. Definition at line 218 of file vtkPoints.h. References Data, id, vtkDataArray::InsertTuple(), and vtkIdType.

vtkIdType vtkPoints::InsertNextPoint | ( | const float | x[3] | ) | `[inline]`

| Insert point into next available slot. Returns id of slot. Definition at line 166 of file vtkPoints.h. References vtkIdType. Referenced by vtkNonLinearCell::InsertPoint().

vtkIdType vtkPoints::InsertNextPoint | ( | const double | x[3] | ) | `[inline]`

| Insert point into next available slot. Returns id of slot. Definition at line 168 of file vtkPoints.h. References vtkIdType.

vtkIdType vtkPoints::InsertNextPoint | ( | double | x,
|  | double | y,
|  | double | z
| ) | `[inline]`

| Insert point into next available slot. Returns id of slot. Definition at line 228 of file vtkPoints.h. References Data, vtkDataArray::InsertNextTuple(), and vtkIdType.

void vtkPoints::SetNumberOfPoints | ( | vtkIdType | number | ) | `[inline]`

| Specify the number of points for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetPoint() method for fast insertion. Definition at line 203 of file vtkPoints.h. References Data, vtkDataArray::SetNumberOfComponents(), vtkDataArray::SetNumberOfTuples(), and vtkIdType.

void vtkPoints::GetPoints | ( | vtkIdList * | ptId,
|  | vtkPoints * | fp
| ) |

| Given a list of pt ids, return an array of points.

virtual void vtkPoints::ComputeBounds | ( |  | ) | `[virtual]`

| Determine (xmin,xmax, ymin,ymax, zmin,zmax) bounds of points.

float* vtkPoints::GetBounds | ( |  | ) |

| Return the bounds of the points.

void vtkPoints::GetBounds | ( | float | bounds[6] | ) |

| Return the bounds of the points.

## Member Data Documentation

float vtkPoints::Bounds[6]`[protected]`

| Definition at line 194 of file vtkPoints.h.

vtkTimeStamp vtkPoints::ComputeTime`[protected]`

| Definition at line 195 of file vtkPoints.h.

vtkDataArray* vtkPoints::Data`[protected]`

| Definition at line 196 of file vtkPoints.h. Referenced by InsertNextPoint(), InsertPoint(), SetNumberOfPoints(), and SetPoint().

The documentation for this class was generated from the following file:

- Common/vtkPoints.h